Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlSelectSceneVisitor Class Reference

`#include <GlSelectSceneVisitor.h>`

Inherits tlp::GlSceneVisitor.

Inheritance diagram for tlp::GlSelectSceneVisitor:

[legend]
Collaboration diagram for tlp::GlSelectSceneVisitor:

[legend]
List of all members.

## Detailed Description

This visitor is use when we want to select an entity in scene

## Public Member Functions

- GlSelectSceneVisitor (SelectionFlag flag, GlGraphInputData *inputData, GlLODCalculator *calculator)
- virtual void visit (GlSimpleEntity *entity)
- virtual void visit (GlNode *glNode)
- virtual void visit (GlEdge *glEdge)
- virtual void visit (GlLayer *layer)

## Constructor & Destructor Documentation

tlp::GlSelectSceneVisitor::GlSelectSceneVisitor | ( | SelectionFlag | flag,
|  | GlGraphInputData * | inputData,
|  | GlLODCalculator * | calculator
| ) | `[inline]`

| Constructor with SelectionFlac (SelectSimpleEntity, SelectNodes and SelectEdges), GlGraphInputData and GlLODCalculator

## Member Function Documentation

virtual void tlp::GlSelectSceneVisitor::visit | ( | GlLayer * | layer | ) | `[virtual]`

| Visit a layer Reimplemented from tlp::GlSceneVisitor.

virtual void tlp::GlSelectSceneVisitor::visit | ( | GlEdge * | glEdge | ) | `[virtual]`

| Visit an edge Reimplemented from tlp::GlSceneVisitor.

virtual void tlp::GlSelectSceneVisitor::visit | ( | GlNode * | glNode | ) | `[virtual]`

| Visit a node Reimplemented from tlp::GlSceneVisitor.

virtual void tlp::GlSelectSceneVisitor::visit | ( | GlSimpleEntity * | entity | ) | `[virtual]`

| Visit a simple entity Reimplemented from tlp::GlSceneVisitor.

Tulip Software by LaBRI Visualization Team 2001 - 2010